Skip to Content
inclamoDocs

Get account details

GET
/api/v1/accounts/{account_id}

Get the details of the current account

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Response Body

Success

application/json
  1. response
id?number

Account ID

name?string

Name of the account

locale?string

The locale of the account

domain?string

The domain of the account

support_email?string

The support email of the account

status?string

The status of the account

created_at?string

The creation date of the account

Formatdate-time
cache_keys?

Cache keys for the account

features?

Enabled features for the account

settings?

Account settings

custom_attributes?

Custom attributes of the account

latest_chatwoot_version?|

Latest version of Chatwoot available

subscribed_features?array<string>

List of subscribed enterprise features (if enterprise edition is enabled)

Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0'
Example Response
{  "id": 0,  "name": "string",  "locale": "string",  "domain": "string",  "support_email": "string",  "status": "string",  "created_at": "2019-08-24T14:15:22Z",  "cache_keys": {},  "features": {},  "settings": {    "auto_resolve_after": 0,    "auto_resolve_message": "string",    "auto_resolve_ignore_waiting": true  },  "custom_attributes": {    "plan_name": "string",    "subscribed_quantity": 0,    "subscription_status": "string",    "subscription_ends_on": "2019-08-24",    "industry": "string",    "company_size": "string",    "timezone": "string",    "logo": "string",    "onboarding_step": "string",    "marked_for_deletion_at": "2019-08-24T14:15:22Z",    "marked_for_deletion_reason": "string"  },  "latest_chatwoot_version": "string",  "subscribed_features": [    "string"  ]}